import React, { Component } from 'react';
import { Route, Switch, withRouter } from 'react-router-dom';
import asyncRoute from '../utils/asyncRoute';
import Loading from '../components/loading';

// 示例页面
const Home = asyncRoute(() => import('../pages/home'), {
    loading: Loading
});


class App extends Component {

    render() {
        return (
            <div className="RouteTable">
                <Switch>
                    <Route path="/" exact component={Home} />
                </Switch>

            </div>
        );
    }
}
export default withRouter(App);